<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmFffsMapper">
    <select id="selectMaxId" resultType="decimal">
        SELECT NVL(MAX(to_number(to_number(CODE))), 0)
        FROM bm_fffs
    </select>
    <select id="selectListMap" resultType="java.util.Map">
        select * from bm_fffs where 1=1

    </select>
    <resultMap id="bmFffsMap" type="com.tofly.feesapi.bmgl.entity.BmFffs">
        <id property="code" column="CODE"/>
        <result property="ocode" column="OCODE"/>
        <result property="oname" column="ONAME"/>
        <result property="name" column="NAME"/>
        <result property="isdisabled" column="ISDISABLED"/>
        <result property="yhIsdisabled" column="YH_ISDISABLED"/>
        <result property="yegdbz" column="YEGDBZ"/>
    </resultMap>

</mapper>
